Subject: Re: [RESEND] rsi: Remove stack VLA usage

From: Kalle Valo <[email-masked]>
Date: Thu, 15 Mar 2018 11:07:28 +0200

"Tobin C. Harding" <[email-masked]> writes:

> On Wed, Mar 14, 2018 at 11:19:53AM +0200, Kalle Valo wrote:
>> "Tobin C. Harding" <[email-masked]> writes:
>> 
>> > Added Konstantin in case he is in charge of administering patchwork.kernel.org?
>> >
>> > On Tue, Mar 13, 2018 at 07:53:34PM -0700, Kees Cook wrote:
>> >> On Tue, Mar 13, 2018 at 7:11 PM, Tobin C. Harding <[email-masked]> wrote:
>> >> > On Tue, Mar 13, 2018 at 11:00:47PM +0200, Andy Shevchenko wrote:
>> >> >> On Tue, Mar 13, 2018 at 10:17 PM, tcharding <[email-masked]> wrote:
>> >> >> > On Mon, Mar 12, 2018 at 09:46:06AM +0000, Kalle Valo wrote:
>> >> >> >> tcharding <[email-masked]> wrote:
>> >> >>
>> >> >> I'm pretty much sure it depends on the original email headers, like
>> >> >> above ^^^ — no name.
>> >> >> Perhaps git config on your side should be done.
>> >> >
>> >> > Thanks for the suggestion Andy but the 'tcharding' as the name was
>> >> > munged by either Kalle or patchwork.  I'm guessing patchwork.
>> >> 
>> >> Something you're sending from is using "tcharding" (see the email Andy
>> >> quotes). I see the headers as:
>> >> 
>> >> Date: Wed, 14 Mar 2018 07:17:57 +1100
>> >> From: tcharding <[email-masked]>
>> >> ...
>> >> Message-ID: <20180313201757.GK8631@eros>
>> >> X-Mailer: Mutt 1.5.24 (2015-08-30)
>> >> User-Agent: Mutt/1.5.24 (2015-08-30)
>> >> 
>> >> Your most recently email shows "Tobin C. Harding" though, and also
>> >> sent with Mutt...
>> >>
>> >> Do you have multiple Mutt configurations? Is something lacking a
>> >> "From" header insertion and your MTA is filling it in for you from
>> >> your username?
>> >
>> > Thanks for taking the time to respond Kees (and Tycho).  I have mutt
>> > configured to reply from whichever email address I receive from so if
>> > patchwork sent an email to 'tcharding <[email-masked]>' (which is the
>> > details it has) and I hit reply it would have come from 'tcharding',
>> > hence Andy's reply.  I wouldn't bet my life on it but I'm kinda
>> > confident that I cannot initiate an email from 'tcharding' with my
>> > current set up.
>> >
>> > Super bad form to blame someone (or something else) but I think this is
>> > a problem with how my patchwork account is configured.  Either way, that
>> > is still my fault I should have added my real name to patchwork when I
>> > signed up (not just username 'tcharding').
>> >
>> > Is patchwork.kernel.org administered by Konstantin Ryabitsev? Added
>> > Konstantin to CC's.
>> 
>> Like I said earlier, just send a request to [email-masked] and
>> admins should fix your name.
>
> thanks Kalle, I'm on it.

Thanks. Looks to be fixed, now patchwork gives me:

From: Tobin C. Harding <[email-masked]>

-- 
Kalle Valo